﻿using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;

namespace PointStyleDrawSample
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MemoryStream stream = new MemoryStream();
            PointStyleDrawSample.Properties.Resources.PointBlue_16.Save(stream, ImageFormat.Png);
            PointStyle pointStyle = new PointStyle(new GeoImage(stream));
            pointStyle = pointStyle.CloneDeep() as PointStyle;

            Bitmap sampleImage = new Bitmap(100, 20);
            GdiPlusGeoCanvas canvas = new GdiPlusGeoCanvas();
            canvas.BeginDrawing(sampleImage, new RectangleShape(), GeographyUnit.Meter);
            DrawingRectangleF drawingRect = new DrawingRectangleF(50, 10, 100, 20);
            pointStyle.DrawSample(canvas, drawingRect);
            canvas.EndDrawing();
        }
    }
}